# Uses of Enum Class
org.bukkit.inventory.meta.BookMeta.Generation

Packages that use BookMeta.Generation
Package
Description
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of BookMeta.Generation in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return BookMeta.Generation
Modifier and Type
Method
Description
`@Nullable BookMeta.Generation`
BookMeta.`getGeneration()`
Gets the generation of the book.
`static BookMeta.Generation`
BookMeta.Generation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BookMeta.Generation[]`
BookMeta.Generation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.inventory.meta with parameters of type BookMeta.Generation
Modifier and Type
Method
Description
`void`
BookMeta.`setGeneration(@Nullable BookMeta.Generation generation)`
Sets the generation of the book.